db.createUser( {user:"neil",pwd: "parablu",roles: [{role:"readWrite",db:"parablu"}]});
db.setProfilingLevel(1, { slowms: 5000 })
db.setProfilingLevel(1)

db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("55968a0d8af4190fb7a4075a"),"name":"Sync Enabled" })
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("5541b64ac99cad31aff3d7a2"),"name":"Backup Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("5541b64ac99cad31aff3d7a3"),"name":"Restore Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("5541b64ac99cad31aff3d7a5"),"name":"Shared Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("5541b64ac99cad31aff3d7a6"),"name":"PMS Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("5541b64ac99cad31aff3d7a7"),"name":"Report Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("5541b64ac99cad31aff3d7a8"),"name":"Migrationtool Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("5541b64ac99cad31aff3d7a9"),"name":"AzureBlob Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("562f85bdc6f71b1cb4ba3ef0"),"name":"ODB Enabled" })
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("5552e60595f190d118116bb6"),"name":"Support Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("56a852f3fe60234cc8a4eeeb"),"name":"Server Backup Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("58afc0c3fe617d5c50854dd6"),"name":"Google Drive Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("58afc0c3fe617d5c50854dd7"),"name":"GD Service Account Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("5541b64ac99cad31aff3d7a4"),"name":"LDAP Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("58afc0c3fe617d5c50854dd9"),"name":"AAD Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id":ObjectId("58afc0c3fe617d5c50854d10"),"name":"Expired Files Delete Enabled"})
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id" : ObjectId("55968a0d8af4190fb7a4075c"), "name" : "OneDrive Backup Enabled" })
db.CLOUD_CUSTOMIZABLE_DETAILS.insert({"_id" : ObjectId("58afc0c3fe617d5c50854df9"), "name" : "Exchange Backup Enabled" })


db.CLOUD.insert({ "_class" : "com.parablu.pm.domain.Cloud", "_id" : ObjectId("54df59cce4b05874ed32b86d"), "cloudCustomisableDetails" : [ CLOUD_CUSTOMISABLE_DETAILS_PLACEHOLDER], "cloudId" : 1, "cloudName" : "NEW_CLOUD_NAME", "cloudPluginDetails" : [ ], "cloudSizeAllowed" : "CLOUD_SIZE_ALL", "contentSearchEnabled" : "0", "enableMedia" : 0, "externalStorageAllowed" : 1, "im1" : 0, "im2" : 0, "im3" : 0, "noOfBackupUsersAllowed" : "NO_OF_BKUP_USER", "noOfDevicesAllowed" : "NO_OF_DEVICE_ALL", "noOfMiniCloudsAllowed" : "MINI_CLOUD_ALL", "noOfSyncUsersAllowed" : "NO_OF_SYNC_USER", "noOfUsersAllowed" : "NO_OF_USER_ALL", "pci" : 0, "statusCode" : "ACTIVE", "validityPeriod" : NumberLong("VALIDITY_UNTIL"), "versioningEnabled" : VERSION_SIZE })


db.PRODUCT_RELEASE.insert({"releaseId":ObjectId("5541b64ac99cad31aff3d7b1"),"productFamily":"BluSync","productMinorGroup":"windows","productVersion":"EPA_VERSION","downloadLink":"EPA_ENV_LINK","status":1,"lastModifiedTimestamp":"1414780200000","uiVersion":1})

db.CLOUD_PROPERTIES.insert({ "_id" : ObjectId("5888728be4b0a5bc838735bc"), "blusyncDownloadPath" : "/var/lib/parablusys/upgrade/", "mntParacloudPath" : "/parablu/", "cloudScriptsFolder" : "/var/lib/parablusys/bin/", "scriptsBinDir" : "/var/lib/parablusys/bin/", "scriptsVideoThumbnail" : "generateVideoThumbnails.sh", "scriptsGeneralThumbnail" : "generateThumbnails.sh", "cloudFileName" : "cloudName", "cloudType" : "enterprise", "supportMail" : "ADMIN_EMAIL", "sslAuthEnabled" : false, "azureVM" : false, "localAD" : false, "reportRows" : 50, "emailToAdminOnly" : false, "maxCrawlHit" : 100, "defaultBkpPolicyName" : "STATISTICS_COLLECTOR", "defaultSyncPolicyName" : "STATISTICS_SYNC_COLLECTOR", "mongoReadPreference" : false, "writeConcernLimit" : 1000, "ebmsWriteDelayLimit" : 10, "isCrawlEnabled" : false, "noOfMultiADConfig" : 1, "emailBkpGroupName" : "MySecureBackup", "emailSyncGroupName" : "MySecureSync", "bkpGroupEmail" : "ADMIN_EMAIL", "syncGroupEmail" : "ADMIN_EMAIL", "isDomainCheckEnabled" : false, "canAdminRestoreAll" : false, "chunkUpdateMaxRetry" : 3, "clientMailName" : "Parablu", "clientSupportMailName" : "ADMIN_EMAIL", "isShareFileNameEnabled" : false, "adfsUrl" : "https:443//testv20-1.parablu.com/springsam/saml/login", "adGroupName" : "" , "defaultGuestSyncPolicyName" : "STATISTICS_GUEST_SYNC_COLLECTOR"})

db.SMTP_CREDENTIALS.insert({"_id" : ObjectId("5b4df28be4b00fa81618042c"),"_class" : "com.parablu.pcbd.domain.SmtpCredentials","smtpHost" : "smtp.office365.com","sslPort" : 465,"sslFactoryClass" : "javax.net.ssl.SSLSocketFactory","smtpAuth" : true,	"smtpPort" : 587,"smtpStarttlsEnable" : true,"smtpPwd" : "mqqyvbffnpfvskyq","smtpUserName" : "noreply@parablu.com","fromEmail" : "noreply@parablu.com","enableEmail" : true,"smtpSSLEnable" : true})


db.CLOUD_PROPERTIES.update({},{$set:{"passwordChangeEnforce" : true}})

db.CLOUD_PROPERTIES.update({},{$set:{"canUserChangePassword" : true}})

db.CLOUD_PROPERTIES.update({},{$set:{"canAdminChangeUserPassword" : false}})

db.CLOUD_PROPERTIES.update({},{$set:{"showLatestBkpInfo" : true}})

db.CLOUD_PROPERTIES.update({},{$set:{"hideStorageSizeInCloud" : false}})

db.CLOUD_PROPERTIES.update({},{$set:{"isAdminDeleteBackupFile" : false}})

db.CLOUD_PROPERTIES.update({},{$set:{"dnsUserName": "rsuresh","dnsPassword": "suresh"}})

db.CLOUD_PROPERTIES.update({},{$set:{"hideCompressedSize" : true}})

db.CLOUD_PROPERTIES.update({},{$set:{"adEmailConfig":"mail"}});

db.CLOUD_PROPERTIES.update({},{$set:{"dbBackupPassword":""}});

db.CLOUD_PROPERTIES.update({},{$set:{"storageLimitInKb":"-1"}});

db.CLOUD_PROPERTIES.update({},{$set:{"winDeviceDisplayNameUpdate" : true,"macDeviceDisplayNameUpdate" : false, "eyeOption" : false,"flipTotalCompletedBackups" : false,"flipTotalActualStorageUtilized" : false,"googleAuthenticator" : false,"totalCompletedBackups" : false,"totalActualStorageUtilized" : true,"complexPassword" : false,"showBackupOverview" : true,"showFailedBackupHistory" : true,"showSystemsWithoutBackups" : true,"showRestoreHistory" : true,"showStorageUtilizationReport" : true,"showDeviceHeartbeatReport" : true,"showUserBackupSummary" : true,"hideDashboard" : true,"stopPauseAccess" : true}});
